// Call with clock frequency / port speed: 40000000/9600
void ser1init(unsigned long clockspeed);

extern __xdata unsigned char ser1rxbuf[];
extern unsigned char ser1txbytes,ser1rxbytes;

/*
   Rx is always enabled, flush the buffer with ser1flush(), check
   available chars watching ser1rxbytes, peek last received char
   calling ser1peek(). Data is at ser1rxbuf in xram
   
   Enable Tx by calling ser1send with a pointer to data in xram
   and the number of bytes to send. Check if finished by watching
   ser1txbytes, should be 0 when finished (or check UART0INT bit 4, BTW).
*/

void ser1Interrupt(void) interrupt 6;

  // Returns -1 if there is no char available
int ser1peek(void);
void ser1flush(void);
void ser1send(__xdata unsigned char *ptr,unsigned char bytes);


